﻿// Project Sword & Gun Copyright © 2021 Kevin Poretti

#include "ISNGModuleInterface.h"

void ISNGModuleInterface::StartupModule()
{
	if(IsRunningCommandlet())
	{
		AddModuleListeners();
		for (int32 i = 0; i < ModuleListeners.Num(); i++)
		{
			ModuleListeners[i]->OnStartupModule();
		}
	}
}

void ISNGModuleInterface::ShutdownModule()
{
	for (int32 i = 0; i < ModuleListeners.Num(); i++)
	{
		ModuleListeners[i]->OnShutdownModule();
	}
}
