﻿#pragma once
#include "IAssetTypeActions.h"
#include "ISNGModuleInterface.h"

class FSwordNGunEditor : public ISNGModuleInterface
{
public:
	/** IModuleInterface implementation */
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;

	virtual void AddModuleListeners() override;

	static FSwordNGunEditor& Get()
	{
		return FModuleManager::LoadModuleChecked<FSwordNGunEditor>("SwordNGunEditor");
	}

	static bool IsAvailable()
	{
		return FModuleManager::Get().IsModuleLoaded("SwordNGunEditor");
	}

private:
	TArray<TSharedPtr<IAssetTypeActions>> CreatedAssetTypeActions;
};
